Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class AntDepend

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.optional.depend.Depend
                      org.gradle.api.tasks.compile.AntDepend

    public class AntDepend
    extends org.apache.tools.ant.taskdefs.optional.depend.Depend

Method Summary
`Path` | `createSrc()`
`void` | `execute()`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.Depend
org.apache.tools.ant.taskdefs.optional.depend.Depend#execute(), org.apache.tools.ant.taskdefs.optional.depend.Depend#setCache(java.io.File), org.apache.tools.ant.taskdefs.optional.depend.Depend#getClasspath(), org.apache.tools.ant.taskdefs.optional.depend.Depend#setClasspath(org.apache.tools.ant.types.Path), org.apache.tools.ant.taskdefs.optional.depend.Depend#setClosure(boolean), org.apache.tools.ant.taskdefs.optional.depend.Depend#setDump(boolean), org.apache.tools.ant.taskdefs.optional.depend.Depend#setWarnOnRmiStubs(boolean), org.apache.tools.ant.taskdefs.optional.depend.Depend#createClasspath(), org.apache.tools.ant.taskdefs.optional.depend.Depend#setDestDir(org.apache.tools.ant.types.Path), org.apache.tools.ant.taskdefs.optional.depend.Depend#setClasspathRef(org.apache.tools.ant.types.Reference), org.apache.tools.ant.taskdefs.optional.depend.Depend#setSrcdir(org.apache.tools.ant.types.Path), org.apache.tools.ant.taskdefs.optional.depend.Depend#add(org.apache.tools.ant.types.selectors.FileSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addDate(org.apache.tools.ant.types.selectors.DateSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#setIncludes(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#setExcludes(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#setCaseSensitive(boolean), org.apache.tools.ant.taskdefs.optional.depend.Depend#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.taskdefs.optional.depend.Depend#setFollowSymlinks(boolean), org.apache.tools.ant.taskdefs.optional.depend.Depend#createInclude(), org.apache.tools.ant.taskdefs.optional.depend.Depend#createIncludesFile(), org.apache.tools.ant.taskdefs.optional.depend.Depend#createExclude(), org.apache.tools.ant.taskdefs.optional.depend.Depend#createExcludesFile(), org.apache.tools.ant.taskdefs.optional.depend.Depend#createPatternSet(), org.apache.tools.ant.taskdefs.optional.depend.Depend#XsetItems(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#XsetIgnore(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#setDefaultexcludes(boolean), org.apache.tools.ant.taskdefs.optional.depend.Depend#setIncludesfile(java.io.File), org.apache.tools.ant.taskdefs.optional.depend.Depend#setExcludesfile(java.io.File), org.apache.tools.ant.taskdefs.optional.depend.Depend#hasSelectors(), org.apache.tools.ant.taskdefs.optional.depend.Depend#selectorCount(), org.apache.tools.ant.taskdefs.optional.depend.Depend#getSelectors(org.apache.tools.ant.Project), org.apache.tools.ant.taskdefs.optional.depend.Depend#selectorElements(), org.apache.tools.ant.taskdefs.optional.depend.Depend#appendSelector(org.apache.tools.ant.types.selectors.FileSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addSelector(org.apache.tools.ant.types.selectors.SelectSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addAnd(org.apache.tools.ant.types.selectors.AndSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addOr(org.apache.tools.ant.types.selectors.OrSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addNot(org.apache.tools.ant.types.selectors.NotSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addNone(org.apache.tools.ant.types.selectors.NoneSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addMajority(org.apache.tools.ant.types.selectors.MajoritySelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addSize(org.apache.tools.ant.types.selectors.SizeSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addFilename(org.apache.tools.ant.types.selectors.FilenameSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addCustom(org.apache.tools.ant.types.selectors.ExtendSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addContains(org.apache.tools.ant.types.selectors.ContainsSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addPresent(org.apache.tools.ant.types.selectors.PresentSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addDepth(org.apache.tools.ant.types.selectors.DepthSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addDepend(org.apache.tools.ant.types.selectors.DependSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addContainsRegexp(org.apache.tools.ant.types.selectors.ContainsRegexpSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addDifferent(org.apache.tools.ant.types.selectors.DifferentSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addType(org.apache.tools.ant.types.selectors.TypeSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#addModified(org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector), org.apache.tools.ant.taskdefs.optional.depend.Depend#log(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#log(java.lang.String, int), org.apache.tools.ant.taskdefs.optional.depend.Depend#log(java.lang.Throwable, int), org.apache.tools.ant.taskdefs.optional.depend.Depend#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.taskdefs.optional.depend.Depend#init(), org.apache.tools.ant.taskdefs.optional.depend.Depend#getOwningTarget(), org.apache.tools.ant.taskdefs.optional.depend.Depend#getTaskName(), org.apache.tools.ant.taskdefs.optional.depend.Depend#getTaskType(), org.apache.tools.ant.taskdefs.optional.depend.Depend#setTaskType(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#setTaskName(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.taskdefs.optional.depend.Depend#getRuntimeConfigurableWrapper(), org.apache.tools.ant.taskdefs.optional.depend.Depend#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.taskdefs.optional.depend.Depend#maybeConfigure(), org.apache.tools.ant.taskdefs.optional.depend.Depend#reconfigure(), org.apache.tools.ant.taskdefs.optional.depend.Depend#perform(), org.apache.tools.ant.taskdefs.optional.depend.Depend#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.taskdefs.optional.depend.Depend#clone(), org.apache.tools.ant.taskdefs.optional.depend.Depend#getLocation(), org.apache.tools.ant.taskdefs.optional.depend.Depend#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.taskdefs.optional.depend.Depend#getDescription(), org.apache.tools.ant.taskdefs.optional.depend.Depend#getProject(), org.apache.tools.ant.taskdefs.optional.depend.Depend#setDescription(java.lang.String), org.apache.tools.ant.taskdefs.optional.depend.Depend#wait(long), org.apache.tools.ant.taskdefs.optional.depend.Depend#wait(long, int), org.apache.tools.ant.taskdefs.optional.depend.Depend#wait(), org.apache.tools.ant.taskdefs.optional.depend.Depend#equals(java.lang.Object), org.apache.tools.ant.taskdefs.optional.depend.Depend#toString(), org.apache.tools.ant.taskdefs.optional.depend.Depend#hashCode(), org.apache.tools.ant.taskdefs.optional.depend.Depend#getClass(), org.apache.tools.ant.taskdefs.optional.depend.Depend#notify(), org.apache.tools.ant.taskdefs.optional.depend.Depend#notifyAll()

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
org.apache.tools.ant.taskdefs.MatchingTask#add(org.apache.tools.ant.types.selectors.FileSelector), org.apache.tools.ant.taskdefs.MatchingTask#addDate(org.apache.tools.ant.types.selectors.DateSelector), org.apache.tools.ant.taskdefs.MatchingTask#setIncludes(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setExcludes(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setCaseSensitive(boolean), org.apache.tools.ant.taskdefs.MatchingTask#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.taskdefs.MatchingTask#setFollowSymlinks(boolean), org.apache.tools.ant.taskdefs.MatchingTask#createInclude(), org.apache.tools.ant.taskdefs.MatchingTask#createIncludesFile(), org.apache.tools.ant.taskdefs.MatchingTask#createExclude(), org.apache.tools.ant.taskdefs.MatchingTask#createExcludesFile(), org.apache.tools.ant.taskdefs.MatchingTask#createPatternSet(), org.apache.tools.ant.taskdefs.MatchingTask#XsetItems(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#XsetIgnore(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setDefaultexcludes(boolean), org.apache.tools.ant.taskdefs.MatchingTask#setIncludesfile(java.io.File), org.apache.tools.ant.taskdefs.MatchingTask#setExcludesfile(java.io.File), org.apache.tools.ant.taskdefs.MatchingTask#hasSelectors(), org.apache.tools.ant.taskdefs.MatchingTask#selectorCount(), org.apache.tools.ant.taskdefs.MatchingTask#getSelectors(org.apache.tools.ant.Project), org.apache.tools.ant.taskdefs.MatchingTask#selectorElements(), org.apache.tools.ant.taskdefs.MatchingTask#appendSelector(org.apache.tools.ant.types.selectors.FileSelector), org.apache.tools.ant.taskdefs.MatchingTask#addSelector(org.apache.tools.ant.types.selectors.SelectSelector), org.apache.tools.ant.taskdefs.MatchingTask#addAnd(org.apache.tools.ant.types.selectors.AndSelector), org.apache.tools.ant.taskdefs.MatchingTask#addOr(org.apache.tools.ant.types.selectors.OrSelector), org.apache.tools.ant.taskdefs.MatchingTask#addNot(org.apache.tools.ant.types.selectors.NotSelector), org.apache.tools.ant.taskdefs.MatchingTask#addNone(org.apache.tools.ant.types.selectors.NoneSelector), org.apache.tools.ant.taskdefs.MatchingTask#addMajority(org.apache.tools.ant.types.selectors.MajoritySelector), org.apache.tools.ant.taskdefs.MatchingTask#addSize(org.apache.tools.ant.types.selectors.SizeSelector), org.apache.tools.ant.taskdefs.MatchingTask#addFilename(org.apache.tools.ant.types.selectors.FilenameSelector), org.apache.tools.ant.taskdefs.MatchingTask#addCustom(org.apache.tools.ant.types.selectors.ExtendSelector), org.apache.tools.ant.taskdefs.MatchingTask#addContains(org.apache.tools.ant.types.selectors.ContainsSelector), org.apache.tools.ant.taskdefs.MatchingTask#addPresent(org.apache.tools.ant.types.selectors.PresentSelector), org.apache.tools.ant.taskdefs.MatchingTask#addDepth(org.apache.tools.ant.types.selectors.DepthSelector), org.apache.tools.ant.taskdefs.MatchingTask#addDepend(org.apache.tools.ant.types.selectors.DependSelector), org.apache.tools.ant.taskdefs.MatchingTask#addContainsRegexp(org.apache.tools.ant.types.selectors.ContainsRegexpSelector), org.apache.tools.ant.taskdefs.MatchingTask#addDifferent(org.apache.tools.ant.types.selectors.DifferentSelector), org.apache.tools.ant.taskdefs.MatchingTask#addType(org.apache.tools.ant.types.selectors.TypeSelector), org.apache.tools.ant.taskdefs.MatchingTask#addModified(org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.String, int), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.Throwable, int), org.apache.tools.ant.taskdefs.MatchingTask#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.taskdefs.MatchingTask#init(), org.apache.tools.ant.taskdefs.MatchingTask#execute(), org.apache.tools.ant.taskdefs.MatchingTask#getOwningTarget(), org.apache.tools.ant.taskdefs.MatchingTask#getTaskName(), org.apache.tools.ant.taskdefs.MatchingTask#getTaskType(), org.apache.tools.ant.taskdefs.MatchingTask#setTaskType(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setTaskName(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.taskdefs.MatchingTask#getRuntimeConfigurableWrapper(), org.apache.tools.ant.taskdefs.MatchingTask#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.taskdefs.MatchingTask#maybeConfigure(), org.apache.tools.ant.taskdefs.MatchingTask#reconfigure(), org.apache.tools.ant.taskdefs.MatchingTask#perform(), org.apache.tools.ant.taskdefs.MatchingTask#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.taskdefs.MatchingTask#clone(), org.apache.tools.ant.taskdefs.MatchingTask#getLocation(), org.apache.tools.ant.taskdefs.MatchingTask#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.taskdefs.MatchingTask#getDescription(), org.apache.tools.ant.taskdefs.MatchingTask#getProject(), org.apache.tools.ant.taskdefs.MatchingTask#setDescription(java.lang.String), org.apache.tools.ant.taskdefs.MatchingTask#wait(long), org.apache.tools.ant.taskdefs.MatchingTask#wait(long, int), org.apache.tools.ant.taskdefs.MatchingTask#wait(), org.apache.tools.ant.taskdefs.MatchingTask#equals(java.lang.Object), org.apache.tools.ant.taskdefs.MatchingTask#toString(), org.apache.tools.ant.taskdefs.MatchingTask#hashCode(), org.apache.tools.ant.taskdefs.MatchingTask#getClass(), org.apache.tools.ant.taskdefs.MatchingTask#notify(), org.apache.tools.ant.taskdefs.MatchingTask#notifyAll()

Methods inherited from class org.apache.tools.ant.Task
org.apache.tools.ant.Task#log(java.lang.String), org.apache.tools.ant.Task#log(java.lang.String, int), org.apache.tools.ant.Task#log(java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.Task#init(), org.apache.tools.ant.Task#execute(), org.apache.tools.ant.Task#getOwningTarget(), org.apache.tools.ant.Task#getTaskName(), org.apache.tools.ant.Task#getTaskType(), org.apache.tools.ant.Task#setTaskType(java.lang.String), org.apache.tools.ant.Task#setTaskName(java.lang.String), org.apache.tools.ant.Task#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.Task#getRuntimeConfigurableWrapper(), org.apache.tools.ant.Task#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.Task#maybeConfigure(), org.apache.tools.ant.Task#reconfigure(), org.apache.tools.ant.Task#perform(), org.apache.tools.ant.Task#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.Task#clone(), org.apache.tools.ant.Task#getLocation(), org.apache.tools.ant.Task#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.Task#getDescription(), org.apache.tools.ant.Task#getProject(), org.apache.tools.ant.Task#setDescription(java.lang.String), org.apache.tools.ant.Task#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.Task#wait(long), org.apache.tools.ant.Task#wait(long, int), org.apache.tools.ant.Task#wait(), org.apache.tools.ant.Task#equals(java.lang.Object), org.apache.tools.ant.Task#toString(), org.apache.tools.ant.Task#hashCode(), org.apache.tools.ant.Task#getClass(), org.apache.tools.ant.Task#notify(), org.apache.tools.ant.Task#notifyAll()

Methods inherited from class org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.ProjectComponent#clone(), org.apache.tools.ant.ProjectComponent#log(java.lang.String), org.apache.tools.ant.ProjectComponent#log(java.lang.String, int), org.apache.tools.ant.ProjectComponent#getLocation(), org.apache.tools.ant.ProjectComponent#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.ProjectComponent#getDescription(), org.apache.tools.ant.ProjectComponent#getProject(), org.apache.tools.ant.ProjectComponent#setDescription(java.lang.String), org.apache.tools.ant.ProjectComponent#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.ProjectComponent#wait(long), org.apache.tools.ant.ProjectComponent#wait(long, int), org.apache.tools.ant.ProjectComponent#wait(), org.apache.tools.ant.ProjectComponent#equals(java.lang.Object), org.apache.tools.ant.ProjectComponent#toString(), org.apache.tools.ant.ProjectComponent#hashCode(), org.apache.tools.ant.ProjectComponent#getClass(), org.apache.tools.ant.ProjectComponent#notify(), org.apache.tools.ant.ProjectComponent#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createSrc

    public Path createSrc()

### execute

    @Override
    public void execute()

Groovy Documentation